summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-glib2/ruby-glib2-3.3.2-r1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/ruby-glib2/ruby-glib2-3.3.2-r1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-glib2/ruby-glib2-3.3.2-r1.ebuild')
-rw-r--r--dev-ruby/ruby-glib2/ruby-glib2-3.3.2-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/ruby-glib2/ruby-glib2-3.3.2-r1.ebuild b/dev-ruby/ruby-glib2/ruby-glib2-3.3.2-r1.ebuild
new file mode 100644
index 000000000000..ab3e829060e7
--- /dev/null
+++ b/dev-ruby/ruby-glib2/ruby-glib2-3.3.2-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+inherit ruby-ng-gnome2
+
+DESCRIPTION="Ruby Glib2 bindings"
+KEYWORDS="amd64 ~ppc ~ppc64 x86"
+IUSE=""
+RDEPEND+=" >=dev-libs/glib-2"
+DEPEND+=" >=dev-libs/glib-2"
+
+PATCHES=( ${FILESDIR}/support-glib-2.26.0.patch )
+
+ruby_add_bdepend "dev-ruby/pkg-config
+ test? ( >=dev-ruby/test-unit-2 )"
+
+all_ruby_prepare() {
+ # Skip spawn tests since our sandbox also provides items in the environment and this makes the test fragile.
+ rm -f test/test-spawn.rb || die
+
+ # Remove pregenerated Makefile since it will otherwise be shared by all targets.
+ rm -f Makefile Makefile.lib ext/glib2/Makefile || die
+
+ # Avoid native installer
+ sed -i -e '/native-package-installer/ s:^:#:' lib/mkmf-gnome2.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die
+}